The BOOST_PP_TUPLE_TO_LIST macro converts a tuple to a list.

#### Usage

BOOST_PP_TUPLE_TO_LIST(size, tuple)
or
BOOST_PP_TUPLE_TO_LIST(...) (v)

#### Arguments

size
  The size of the tuple to be converted. Valid tuple sizes range from 1 to BOOST_PP_LIMIT_TUPLE.
tuple
  The tuple to be converted.

#### Remarks

The size argument must be the actual size of the tuple.
You can invoke the variadic version (v) as BOOST_PP_TUPLE_TO_LIST(tuple) or BOOST_PP_TUPLE_TO_LIST(size,tuple).

#### See Also

- BOOST_PP_LIMIT_TUPLE

#### Requirements

Header: <boost/preprocessor/tuple/to_list.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/to_list.hpp>

    BOOST_PP_TUPLE_TO_LIST(3, (x, y, z))
       // expands to (x, (y, (z, BOOST_PP_NIL)))

    // or for the variadic version (v)

    BOOST_PP_TUPLE_TO_LIST((x, y, z))
       // expands to (x, (y, (z, BOOST_PP_NIL)))

© Copyright Housemarque Oy 2002
© Copyright Paul Mensonides 2002
© Copyright Edward Diener 2011

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)